# Uses of Interface
org.jfree.chart3d.ChartElementVisitor

Packages that use ChartElementVisitor
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.
org.jfree.chart3d.marker
Provides value and range marker support for the axes on category and XYZ plots.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.
org.jfree.chart3d.renderer
Base package for renderer support.
org.jfree.chart3d.style
Classes for controlling chart styles.

## Uses of ChartElementVisitor in org.jfree.chart3d

Methods in org.jfree.chart3d with parameters of type ChartElementVisitor
Modifier and Type
Method
Description
`void`
Chart3D.`receive(ChartElementVisitor visitor)`
Receives a visitor.
`void`
ChartElement.`receive(ChartElementVisitor visitor)`
Receives a visitor to the element.

## Uses of ChartElementVisitor in org.jfree.chart3d.axis

Methods in org.jfree.chart3d.axis with parameters of type ChartElementVisitor
Modifier and Type
Method
Description
`abstract void`
AbstractAxis3D.`receive(ChartElementVisitor visitor)`
Receives a `ChartElementVisitor`.
`void`
AbstractValueAxis3D.`receive(ChartElementVisitor visitor)`
Receives a `ChartElementVisitor`.
`void`
StandardCategoryAxis3D.`receive(ChartElementVisitor visitor)`
Receives a `ChartElementVisitor`.

## Uses of ChartElementVisitor in org.jfree.chart3d.marker

Methods in org.jfree.chart3d.marker with parameters of type ChartElementVisitor
Modifier and Type
Method
Description
`void`
AbstractMarker.`receive(ChartElementVisitor visitor)`
Receives a visitor.

## Uses of ChartElementVisitor in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot with parameters of type ChartElementVisitor
Modifier and Type
Method
Description
`abstract void`
AbstractPlot3D.`receive(ChartElementVisitor visitor)`
Accepts a `ChartElementVisitor`.
`void`
CategoryPlot3D.`receive(ChartElementVisitor visitor)`
Accepts a visitor for the plot.
`void`
PiePlot3D.`receive(ChartElementVisitor visitor)`
Receives a visitor.
`void`
XYZPlot.`receive(ChartElementVisitor visitor)`
Receives a visitor.

## Uses of ChartElementVisitor in org.jfree.chart3d.renderer

Methods in org.jfree.chart3d.renderer with parameters of type ChartElementVisitor
Modifier and Type
Method
Description
`void`
AbstractRenderer3D.`receive(ChartElementVisitor visitor)`
Receives a `ChartElementVisitor`.

## Uses of ChartElementVisitor in org.jfree.chart3d.style

Classes in org.jfree.chart3d.style that implement ChartElementVisitor
Modifier and Type
Class
Description
`class`
`ChartStyler`
A `ChartElementVisitor` that applies a chart style to the elements of a chart.